<template lang="pug">
  v-app#inspire
    v-navigation-drawer(v-model='drawer' app='' clipped='' v-if="user && user.session")
      v-list(dense='')
        v-list-item(link='' to='/')
          v-list-item-action
            v-icon mdi-animation-outline
          v-list-item-content
            v-list-item-title Документы
        v-list-item(link='' to='/providers' v-if="user.access.includes('admin')")
          v-list-item-action
            v-icon mdi-account-multiple
          v-list-item-content
            v-list-item-title Поставщики
        v-list-item(link='' to='/products' v-if="user.access.includes('admin')")
          v-list-item-action
            v-icon mdi-book-open-blank-variant
          v-list-item-content
            v-list-item-title Товары
        v-list-item(link='' to='/login' @click="LogOut")
          v-list-item-action
            v-icon mdi-exit-to-app
          v-list-item-content
            v-list-item-title Выйти
    v-app-bar(app='' clipped-left='' v-if="user && user.session")
      v-app-bar-nav-icon(@click.stop='drawer = !drawer')
      v-toolbar-title Документооборот компании N
    v-content
      v-container
        v-row(align='center' justify='center')
          v-col
            router-view
    v-footer(app='')
      span &copy; 2021

</template>

<script>
export default {
  props: {
    source: String,
  },
  data: () => ({
    drawer: null,
  }),
  computed: {
    user () {
      return this.$store.getters.user
    }
  },
  mounted() {
    this.$store.dispatch('getSession')
    console.log(123)
  },
  created () {
    this.$vuetify.theme.dark = false
  },
  methods: {
    LogOut() {
      this.$store.commit('logout')
    }
  }
}
</script>
